# $Revision: 1.62 $, $Date: 2011/02/10 17:41:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define	db_ver	%(rpm -q --whatprovides --qf '%%{epoch}:%%{version}' db-devel)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DB_File
%define		pnam	DB_File
Summary:	DB_File allows to manage a simple ASCII database
Summary(pl.UTF-8):	DB_File pozwala na korzystanie z prostej, tekstowej bazy danych
Name:		perl-DB_File
Version:	1.821
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DB_File/PMQS/%{pnam}-%{version}.tar.gz
# Source0-md5:	aa1aa1b3bdf5e6507b04cc8522dcd1fb
Patch0:		%{name}-rpm-automation.patch
URL:		http://search.cpan.org/dist/DB_File/
BuildRequires:	db-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	db = %{db_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DB_File is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 1.

%description -l pl.UTF-8
DB_File jest modułem, który pozwala programom w Perlu na korzystanie
z udogodnień dostarczanych przez Berkeley DB w wersji 1.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%build
%{__perl} -pi -e "s/INSTALLDIRS => 'perl',//" Makefile.PL
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DB_File.pm
%dir %{perl_vendorarch}/auto/DB_File
%{perl_vendorarch}/auto/DB_File/DB_File.bs
%{perl_vendorarch}/auto/DB_File/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/DB_File/DB_File.so
%{_mandir}/man3/DB_File.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DB_File.spec,v $
Revision 1.62  2011/02/10 17:41:24  qboosh
- updated to 1.821

Revision 1.61  2010/11/12 23:38:11  pawelz
- release 4

Revision 1.60  2010/06/05 23:59:59  radek
- release 3

Revision 1.59  2009/06/19 11:00:37  arekm
- release 2

Revision 1.58  2009/06/15 11:46:09  amateja
- updated to 1.820

Revision 1.57  2008/06/12 16:20:54  qboosh
- unified

Revision 1.56  2008-06-12 10:54:55  baggins
- typo

Revision 1.55  2008-06-12 09:42:22  baggins
- rel 2
- require exact version of BerkeleyDB the module was compiled with
	(YAY! No more fucked up spamassassin bayes db!)

Revision 1.54  2008-04-02 09:18:41  arekm
- up to 1.817

Revision 1.53  2008-03-02 17:31:12  radek
- release 3

Revision 1.52  2008-02-08 13:48:19  arekm
- rel 2

Revision 1.51  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.50  2007-12-26 22:51:27  zbyniu
- up to 1.816

Revision 1.49  2007-09-10 17:05:26  baggins
- rel 3

Revision 1.48  2007/07/26 17:05:43  arekm
- rel 2; rebuild with new db4.6

Revision 1.47  2007/06/30 20:55:02  arekm
- up to 1.815

Revision 1.46  2007/03/13 07:40:05  qboosh
- generic URL, pl fix

Revision 1.45  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.44  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.43  2006/12/22 19:13:13  arekm
- rel 2

Revision 1.42  2006/03/13 23:09:15  agaran
- up to 1.814 rel 1 builds here

Revision 1.41  2004/11/03 22:30:16  paladine
- formatting

Revision 1.40  2004/08/22 09:04:24  adamg
- updated to 1.810

Revision 1.39  2004/08/08 17:58:08  adamg
- updated to 1.809

Revision 1.38  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.37  2004/04/20 05:22:49  ankry
- license fixes and unification

Revision 1.36  2004/01/18 01:55:26  qboosh
- updated to 1.808

Revision 1.35  2003/12/16 19:06:41  qboosh
- updated to 1.807, added tests

Revision 1.34  2003/12/02 16:20:10  mmazur
- rel 3 to rebuild with new db

Revision 1.33  2003/09/09 10:24:32  ankry
- spaces -> tab

Revision 1.32  2003/08/18 08:08:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.28  2003/03/02 01:36:13  radek
- forced use of perl_vendor* directories (f* MakeMaker)

Revision 1.27  2003/03/02 01:20:19  radek
- cleanup,  BR: db-devel

Revision 1.26  2003/03/01 18:05:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:31:01  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/12/02 11:06:23  ankry
- massive cleaning

Revision 1.22  2002/11/20 12:15:31  mis
- autoupdated to 1.806

Revision 1.21  2002/09/09 13:39:31  radek
- pl summary/description; release 2

Revision 1.20  2002/09/08 11:02:50  radek
- version 1.805
- provided informative summary/description

Revision 1.19  2002/07/27 21:28:35  ankry
- autosplit.ix is back
- release 4

Revision 1.18  2002/07/18 23:55:16  ankry
- added manpage
- removed autosplit.ix
- release 3

Revision 1.17  2002/07/16 11:32:50  ankry
- translations, cleaning
- release 2

Revision 1.16  2002/07/11 11:43:42  qboosh
- new %%doc, cosmetics

Revision 1.15  2002/07/11 07:58:40  depesz
- new version; should work; STBR

Revision 1.14  2002/05/11 21:20:00  areq
- 1.803, STBR

Revision 1.13  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.12  2002/03/04 06:47:13  depesz
added patch, release++

Revision 1.11  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/10 15:25:07  depesz
adapterized

Revision 1.9  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/27 16:30:13  mis
- autoupdated to 1.79

Revision 1.7  2001/08/02 08:28:47  mis
- autoupdated to 1.78

Revision 1.6  2001/04/30 15:00:53  baggins
- removed unnecessary file from %%files

Revision 1.5  2001/04/28 14:42:48  mis
- autoupdated to 1.77

Revision 1.4  2001/04/17 12:07:27  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.3  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.2  2001/01/17 19:42:25  kloczek
- fixed permission on shared objects,
- removed %%{perl_archlib}/perllocal.pod (seems nothing important).

Revision 1.1  2001/01/17 08:58:09  yaro
- initial
